Bug 232615 - lang/ecl: Update to 16.1.3
Summary: lang/ecl: Update to 16.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lorenzo Salvadore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-24 13:58 UTC by Lorenzo Salvadore
Modified: 2020-02-27 14:59 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (olgeni)


Attachments
ecl update to 16.1.3 (9.91 KB, patch)
2018-10-24 13:58 UTC, Lorenzo Salvadore
no flags Details | Diff
ecl - 16.1.3, corrected (8.21 KB, patch)
2019-08-24 12:51 UTC, Lorenzo Salvadore
salvadore: maintainer-approval? (olgeni)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2018-10-24 13:58:56 UTC
Created attachment 198553 [details]
ecl update to 16.1.3

The patch updates lang/ecl to the last version (16.1.3).
Comment 1 Lorenzo Salvadore freebsd_committer 2018-11-13 09:28:22 UTC
A changelog can be found in the distfile at ${WRKSRC}/CHANGELOG. Keep in mind that last version in ports tree is 15.3.7
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-08-15 14:52:25 UTC
Maintainer feedback!
Comment 3 Lorenzo Salvadore freebsd_committer 2019-08-16 08:04:31 UTC
Comment on attachment 198553 [details]
ecl update to 16.1.3

This was one of the first patches that I proposed and thus contains some mistakes. I will correct it as soon as possible.
Comment 4 Lorenzo Salvadore freebsd_committer 2019-08-24 12:51:18 UTC
Created attachment 206847 [details]
ecl - 16.1.3, corrected

I corrected the patch.
I needed to do some modifications to the Makefile to improve the port and successfully update it:
- I changed MASTER_SITES (I did not find 16.1.3 on sourceforge);
- I renamed CLX option to X11, consistently with FreeBSD's standards and with the fact that the option into the configure script from ecl is now --with-x and no more --with-clx;
- I stripped libecl.so.${PORTVERSION}.

Tested successfully with poudriere on {11.3,12.0}-RELEASE {i386,amd64}.
Comment 5 Lorenzo Salvadore freebsd_committer 2020-02-16 11:40:35 UTC
A changelog can be found here:
https://common-lisp.net/project/ecl/posts/ECL-1613-release.html

As commit log message, we could maybe use the following (or extract it from the following, since it is long):

Update to 16.1.3.

API changes:
   * Added better interface for package-locks
   * mp:holding-lock-p: introduce new function for multiprocessing
   * make-random-state: fix problem with simple-vectors
   * ext:random-state-array: new extension for random-states
   * ext:terminate-process: new extension for external processes

Enhancements:
   * Implemented CDR-7
   * implemented CDRs: CDR-1, CDR-5, CDR-14, all listed in *features*
   * configure options has been revised
   * ASDF has been upgraded to version 3.1.7.26 (with a few patches scheduled for 3.2.0)
   * bundled CLX has been purged
   * refactored ECL internal tests framework
   * removed 15000 lines of obsolete code. All info is added in the new documentation in the section "Removed interfaces"
   * improved man page and help output
   * deprecated long flags with one dash, added two-dash version

Issues fixed:
    * ECL signals floating point exceptions in top-level console
    * mp:rwlock is treated as built-in class
    * ext:file-stream-fd: doesn't cause an internal-error if called with something not being a file-stream (signals a SIMPLE-TYPE-ERROR condtition)
    * stable-sort: bugfix and improvement in speed
    * typep: accept * type specifier as abbreviation of T as described in 2.4.3 Type Specifiers of the specification.
    * MOP: fix problems when redefining non-standard and anonymous classes
    * getcwd: fix issue with too long pathname
    * make-random-state: fix a problem with simple-vectors
    * make-load-form: provide implementation for random-state objects
    * import thread wasn't set upping a proper environment: on some case the thread was mistakenly thinking that the thread was already registered
    * ECL_HANDLER_CASE and ECL_RESTART_CASE didn't work as expected
Comment 6 Lorenzo Salvadore freebsd_committer 2020-02-17 11:59:35 UTC
(In reply to Lorenzo Salvadore from comment #5)

On second thought, that commit log draft is too complex and I forgot what I wrote in my comment #1.

I think that, unless the maintainer comes back and understands well all the changes from 15.7 (old version) to 16.3 (new version), maybe a short commit log of the kind "Update from 15.7 to 16.3" is better.
If I find time  (I see that this port is not a priority for anyone anyway), I will try to submit a better draft, listing the most important improvements.
Comment 7 Lorenzo Salvadore freebsd_committer 2020-02-27 14:48:58 UTC
Maintainer timeout.
I will shortly commit the update.
Comment 8 commit-hook freebsd_committer 2020-02-27 14:58:28 UTC
A commit references this bug:

Author: salvadore
Date: Thu Feb 27 14:57:41 UTC 2020
New revision: 527259
URL: https://svnweb.freebsd.org/changeset/ports/527259

Log:
  Update lang/ecl from 15.3.7 to 16.1.3

  - Change MASTER_SITES, as 16.1.3 is not available on SourceForge.
  - Rename the CLX option to X11, consistent with FreeBSD's standards and
    with the fact that the option into the configure script from ecl is now
    --with-x.
  - Strip libecl.so.${PORTVERSION}.

  PR:		232615
  Approved by:	olgeni (maintainer timeout, 16 months), gerald (mentor)

Changes:
  head/lang/ecl/Makefile
  head/lang/ecl/distinfo
  head/lang/ecl/pkg-descr
  head/lang/ecl/pkg-plist
Comment 9 Lorenzo Salvadore freebsd_committer 2020-02-27 14:59:45 UTC
Committed.